// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: employee/place-service.proto

package employee

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/employee/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchPlaceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid       `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchPlace `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchPlaceRequest) Reset() {
	*x = SearchPlaceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchPlaceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchPlaceRequest) ProtoMessage() {}

func (x *SearchPlaceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchPlaceRequest.ProtoReflect.Descriptor instead.
func (*SearchPlaceRequest) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{0}
}

func (x *SearchPlaceRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchPlaceRequest) GetSearch() *model.SearchPlace {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchPlaceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*common.Place `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchPlaceResponse) Reset() {
	*x = SearchPlaceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchPlaceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchPlaceResponse) ProtoMessage() {}

func (x *SearchPlaceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchPlaceResponse.ProtoReflect.Descriptor instead.
func (*SearchPlaceResponse) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{1}
}

func (x *SearchPlaceResponse) GetData() []*common.Place {
	if x != nil {
		return x.Data
	}
	return nil
}

type GetPlaceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetPlaceRequest) Reset() {
	*x = GetPlaceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetPlaceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPlaceRequest) ProtoMessage() {}

func (x *GetPlaceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPlaceRequest.ProtoReflect.Descriptor instead.
func (*GetPlaceRequest) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{2}
}

func (x *GetPlaceRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetPlaceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *common.Place `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *GetPlaceResponse) Reset() {
	*x = GetPlaceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetPlaceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPlaceResponse) ProtoMessage() {}

func (x *GetPlaceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPlaceResponse.ProtoReflect.Descriptor instead.
func (*GetPlaceResponse) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{3}
}

func (x *GetPlaceResponse) GetData() *common.Place {
	if x != nil {
		return x.Data
	}
	return nil
}

type GetPlaceByPlaceIdRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PlaceId string `protobuf:"bytes,1,opt,name=placeId,proto3" json:"placeId,omitempty"`
}

func (x *GetPlaceByPlaceIdRequest) Reset() {
	*x = GetPlaceByPlaceIdRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetPlaceByPlaceIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPlaceByPlaceIdRequest) ProtoMessage() {}

func (x *GetPlaceByPlaceIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPlaceByPlaceIdRequest.ProtoReflect.Descriptor instead.
func (*GetPlaceByPlaceIdRequest) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{4}
}

func (x *GetPlaceByPlaceIdRequest) GetPlaceId() string {
	if x != nil {
		return x.PlaceId
	}
	return ""
}

type GetPlaceByPlaceIdResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *common.Place `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *GetPlaceByPlaceIdResponse) Reset() {
	*x = GetPlaceByPlaceIdResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetPlaceByPlaceIdResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPlaceByPlaceIdResponse) ProtoMessage() {}

func (x *GetPlaceByPlaceIdResponse) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPlaceByPlaceIdResponse.ProtoReflect.Descriptor instead.
func (*GetPlaceByPlaceIdResponse) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{5}
}

func (x *GetPlaceByPlaceIdResponse) GetData() *common.Place {
	if x != nil {
		return x.Data
	}
	return nil
}

type SavePlaceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *common.Place `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SavePlaceRequest) Reset() {
	*x = SavePlaceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePlaceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePlaceRequest) ProtoMessage() {}

func (x *SavePlaceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePlaceRequest.ProtoReflect.Descriptor instead.
func (*SavePlaceRequest) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{6}
}

func (x *SavePlaceRequest) GetData() *common.Place {
	if x != nil {
		return x.Data
	}
	return nil
}

type SavePlaceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *common.Place `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SavePlaceResponse) Reset() {
	*x = SavePlaceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePlaceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePlaceResponse) ProtoMessage() {}

func (x *SavePlaceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePlaceResponse.ProtoReflect.Descriptor instead.
func (*SavePlaceResponse) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{7}
}

func (x *SavePlaceResponse) GetData() *common.Place {
	if x != nil {
		return x.Data
	}
	return nil
}

type DeletePlaceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeletePlaceRequest) Reset() {
	*x = DeletePlaceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePlaceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePlaceRequest) ProtoMessage() {}

func (x *DeletePlaceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePlaceRequest.ProtoReflect.Descriptor instead.
func (*DeletePlaceRequest) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{8}
}

func (x *DeletePlaceRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DeletePlaceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeletePlaceResponse) Reset() {
	*x = DeletePlaceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_employee_place_service_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePlaceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePlaceResponse) ProtoMessage() {}

func (x *DeletePlaceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_employee_place_service_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePlaceResponse.ProtoReflect.Descriptor instead.
func (*DeletePlaceResponse) Descriptor() ([]byte, []int) {
	return file_employee_place_service_proto_rawDescGZIP(), []int{9}
}

var File_employee_place_service_proto protoreflect.FileDescriptor

var file_employee_place_service_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2f, 0x70, 0x6c, 0x61, 0x63, 0x65,
	0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08,
	0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x67, 0x72, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x12, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x21, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x65, 0x0a, 0x12, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20,
	0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64, 0x52, 0x04, 0x67, 0x72, 0x69, 0x64,
	0x12, 0x2d, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x15, 0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22,
	0x38, 0x0a, 0x13, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x21, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x6c,
	0x61, 0x63, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x21, 0x0a, 0x0f, 0x47, 0x65, 0x74,
	0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x35, 0x0a, 0x10,
	0x47, 0x65, 0x74, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x21, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x22, 0x34, 0x0a, 0x18, 0x47, 0x65, 0x74, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x42,
	0x79, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x18, 0x0a, 0x07, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x22, 0x3e, 0x0a, 0x19, 0x47, 0x65, 0x74,
	0x50, 0x6c, 0x61, 0x63, 0x65, 0x42, 0x79, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x21, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x6c,
	0x61, 0x63, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x35, 0x0a, 0x10, 0x53, 0x61, 0x76,
	0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x22, 0x36, 0x0a, 0x11, 0x53, 0x61, 0x76, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x21, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x6c, 0x61,
	0x63, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x24, 0x0a, 0x12, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x15,
	0x0a, 0x13, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xb0, 0x03, 0x0a, 0x0c, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x12, 0x16, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x45, 0x0a, 0x06, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x12, 0x1c, 0x2e, 0x65,
	0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x6c,
	0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x65, 0x6d, 0x70,
	0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x6c, 0x61, 0x63,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3c, 0x0a, 0x03, 0x47, 0x65, 0x74,
	0x12, 0x19, 0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50,
	0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x65, 0x6d,
	0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x42, 0x79,
	0x50, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x12, 0x22, 0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79,
	0x65, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x42, 0x79, 0x50, 0x6c, 0x61,
	0x63, 0x65, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x23, 0x2e, 0x65, 0x6d,
	0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x42,
	0x79, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x49, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x3f, 0x0a, 0x04, 0x53, 0x61, 0x76, 0x65, 0x12, 0x1a, 0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f,
	0x79, 0x65, 0x65, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e,
	0x53, 0x61, 0x76, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x45, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x1c, 0x2e, 0x65, 0x6d,
	0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x6c, 0x61,
	0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x65, 0x6d, 0x70, 0x6c,
	0x6f, 0x79, 0x65, 0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x6c, 0x61, 0x63, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x83, 0x01, 0x0a, 0x1c, 0x63, 0x6f, 0x6d,
	0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63,
	0x2e, 0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x42, 0x0c, 0x50, 0x6c, 0x61, 0x63, 0x65,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f,
	0x65, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02,
	0x12, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x45, 0x6d, 0x70, 0x6c, 0x6f,
	0x79, 0x65, 0x65, 0xca, 0x02, 0x08, 0x45, 0x6d, 0x70, 0x6c, 0x6f, 0x79, 0x65, 0x65, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_employee_place_service_proto_rawDescOnce sync.Once
	file_employee_place_service_proto_rawDescData = file_employee_place_service_proto_rawDesc
)

func file_employee_place_service_proto_rawDescGZIP() []byte {
	file_employee_place_service_proto_rawDescOnce.Do(func() {
		file_employee_place_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_employee_place_service_proto_rawDescData)
	})
	return file_employee_place_service_proto_rawDescData
}

var file_employee_place_service_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_employee_place_service_proto_goTypes = []interface{}{
	(*SearchPlaceRequest)(nil),        // 0: employee.SearchPlaceRequest
	(*SearchPlaceResponse)(nil),       // 1: employee.SearchPlaceResponse
	(*GetPlaceRequest)(nil),           // 2: employee.GetPlaceRequest
	(*GetPlaceResponse)(nil),          // 3: employee.GetPlaceResponse
	(*GetPlaceByPlaceIdRequest)(nil),  // 4: employee.GetPlaceByPlaceIdRequest
	(*GetPlaceByPlaceIdResponse)(nil), // 5: employee.GetPlaceByPlaceIdResponse
	(*SavePlaceRequest)(nil),          // 6: employee.SavePlaceRequest
	(*SavePlaceResponse)(nil),         // 7: employee.SavePlaceResponse
	(*DeletePlaceRequest)(nil),        // 8: employee.DeletePlaceRequest
	(*DeletePlaceResponse)(nil),       // 9: employee.DeletePlaceResponse
	(*common.Grid)(nil),               // 10: common.Grid
	(*model.SearchPlace)(nil),         // 11: employee.SearchPlace
	(*common.Place)(nil),              // 12: common.Place
	(*common.VersionRequest)(nil),     // 13: common.VersionRequest
	(*common.VersionResponse)(nil),    // 14: common.VersionResponse
}
var file_employee_place_service_proto_depIdxs = []int32{
	10, // 0: employee.SearchPlaceRequest.grid:type_name -> common.Grid
	11, // 1: employee.SearchPlaceRequest.search:type_name -> employee.SearchPlace
	12, // 2: employee.SearchPlaceResponse.data:type_name -> common.Place
	12, // 3: employee.GetPlaceResponse.data:type_name -> common.Place
	12, // 4: employee.GetPlaceByPlaceIdResponse.data:type_name -> common.Place
	12, // 5: employee.SavePlaceRequest.data:type_name -> common.Place
	12, // 6: employee.SavePlaceResponse.data:type_name -> common.Place
	13, // 7: employee.PlaceService.Version:input_type -> common.VersionRequest
	0,  // 8: employee.PlaceService.Search:input_type -> employee.SearchPlaceRequest
	2,  // 9: employee.PlaceService.Get:input_type -> employee.GetPlaceRequest
	4,  // 10: employee.PlaceService.GetByPlaceId:input_type -> employee.GetPlaceByPlaceIdRequest
	6,  // 11: employee.PlaceService.Save:input_type -> employee.SavePlaceRequest
	8,  // 12: employee.PlaceService.Delete:input_type -> employee.DeletePlaceRequest
	14, // 13: employee.PlaceService.Version:output_type -> common.VersionResponse
	1,  // 14: employee.PlaceService.Search:output_type -> employee.SearchPlaceResponse
	3,  // 15: employee.PlaceService.Get:output_type -> employee.GetPlaceResponse
	5,  // 16: employee.PlaceService.GetByPlaceId:output_type -> employee.GetPlaceByPlaceIdResponse
	7,  // 17: employee.PlaceService.Save:output_type -> employee.SavePlaceResponse
	9,  // 18: employee.PlaceService.Delete:output_type -> employee.DeletePlaceResponse
	13, // [13:19] is the sub-list for method output_type
	7,  // [7:13] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_employee_place_service_proto_init() }
func file_employee_place_service_proto_init() {
	if File_employee_place_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_employee_place_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchPlaceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchPlaceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetPlaceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetPlaceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetPlaceByPlaceIdRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetPlaceByPlaceIdResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePlaceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePlaceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePlaceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_employee_place_service_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePlaceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_employee_place_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_employee_place_service_proto_goTypes,
		DependencyIndexes: file_employee_place_service_proto_depIdxs,
		MessageInfos:      file_employee_place_service_proto_msgTypes,
	}.Build()
	File_employee_place_service_proto = out.File
	file_employee_place_service_proto_rawDesc = nil
	file_employee_place_service_proto_goTypes = nil
	file_employee_place_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// PlaceServiceClient is the client API for PlaceService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PlaceServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	Search(ctx context.Context, in *SearchPlaceRequest, opts ...grpc.CallOption) (*SearchPlaceResponse, error)
	Get(ctx context.Context, in *GetPlaceRequest, opts ...grpc.CallOption) (*GetPlaceResponse, error)
	GetByPlaceId(ctx context.Context, in *GetPlaceByPlaceIdRequest, opts ...grpc.CallOption) (*GetPlaceByPlaceIdResponse, error)
	Save(ctx context.Context, in *SavePlaceRequest, opts ...grpc.CallOption) (*SavePlaceResponse, error)
	Delete(ctx context.Context, in *DeletePlaceRequest, opts ...grpc.CallOption) (*DeletePlaceResponse, error)
}

type placeServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPlaceServiceClient(cc grpc.ClientConnInterface) PlaceServiceClient {
	return &placeServiceClient{cc}
}

func (c *placeServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *placeServiceClient) Search(ctx context.Context, in *SearchPlaceRequest, opts ...grpc.CallOption) (*SearchPlaceResponse, error) {
	out := new(SearchPlaceResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *placeServiceClient) Get(ctx context.Context, in *GetPlaceRequest, opts ...grpc.CallOption) (*GetPlaceResponse, error) {
	out := new(GetPlaceResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *placeServiceClient) GetByPlaceId(ctx context.Context, in *GetPlaceByPlaceIdRequest, opts ...grpc.CallOption) (*GetPlaceByPlaceIdResponse, error) {
	out := new(GetPlaceByPlaceIdResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/GetByPlaceId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *placeServiceClient) Save(ctx context.Context, in *SavePlaceRequest, opts ...grpc.CallOption) (*SavePlaceResponse, error) {
	out := new(SavePlaceResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/Save", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *placeServiceClient) Delete(ctx context.Context, in *DeletePlaceRequest, opts ...grpc.CallOption) (*DeletePlaceResponse, error) {
	out := new(DeletePlaceResponse)
	err := c.cc.Invoke(ctx, "/employee.PlaceService/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PlaceServiceServer is the server API for PlaceService service.
type PlaceServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	Search(context.Context, *SearchPlaceRequest) (*SearchPlaceResponse, error)
	Get(context.Context, *GetPlaceRequest) (*GetPlaceResponse, error)
	GetByPlaceId(context.Context, *GetPlaceByPlaceIdRequest) (*GetPlaceByPlaceIdResponse, error)
	Save(context.Context, *SavePlaceRequest) (*SavePlaceResponse, error)
	Delete(context.Context, *DeletePlaceRequest) (*DeletePlaceResponse, error)
}

// UnimplementedPlaceServiceServer can be embedded to have forward compatible implementations.
type UnimplementedPlaceServiceServer struct {
}

func (*UnimplementedPlaceServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedPlaceServiceServer) Search(context.Context, *SearchPlaceRequest) (*SearchPlaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}
func (*UnimplementedPlaceServiceServer) Get(context.Context, *GetPlaceRequest) (*GetPlaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (*UnimplementedPlaceServiceServer) GetByPlaceId(context.Context, *GetPlaceByPlaceIdRequest) (*GetPlaceByPlaceIdResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetByPlaceId not implemented")
}
func (*UnimplementedPlaceServiceServer) Save(context.Context, *SavePlaceRequest) (*SavePlaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Save not implemented")
}
func (*UnimplementedPlaceServiceServer) Delete(context.Context, *DeletePlaceRequest) (*DeletePlaceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}

func RegisterPlaceServiceServer(s *grpc.Server, srv PlaceServiceServer) {
	s.RegisterService(&_PlaceService_serviceDesc, srv)
}

func _PlaceService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PlaceService_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchPlaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).Search(ctx, req.(*SearchPlaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PlaceService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPlaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).Get(ctx, req.(*GetPlaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PlaceService_GetByPlaceId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPlaceByPlaceIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).GetByPlaceId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/GetByPlaceId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).GetByPlaceId(ctx, req.(*GetPlaceByPlaceIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PlaceService_Save_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SavePlaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).Save(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/Save",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).Save(ctx, req.(*SavePlaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PlaceService_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePlaceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PlaceServiceServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/employee.PlaceService/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PlaceServiceServer).Delete(ctx, req.(*DeletePlaceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PlaceService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "employee.PlaceService",
	HandlerType: (*PlaceServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _PlaceService_Version_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _PlaceService_Search_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _PlaceService_Get_Handler,
		},
		{
			MethodName: "GetByPlaceId",
			Handler:    _PlaceService_GetByPlaceId_Handler,
		},
		{
			MethodName: "Save",
			Handler:    _PlaceService_Save_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _PlaceService_Delete_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "employee/place-service.proto",
}
